Summary: A library of functions for manipulating PNG image format files
Name: libpng
Version: 1.2.38
Release: 1
Epoch: 2
License: zlib
Group: System Environment/Libraries
URL: http://www.libpng.org/pub/png/
Source0: ftp://ftp.simplesystems.org/pub/png/src/%{name}-%{version}.tar.bz2
Patch0: %{name}-%{version}-aix.patch

Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: autoconf, automake, libtool
BuildRequires: zlib-devel
Requires: zlib

%description
The libpng package contains a library of functions for creating and
manipulating PNG (Portable Network Graphics) image format files.  PNG
is a bit-mapped graphics format similar to the GIF format.  PNG was
created to replace the GIF format, since GIF uses a patented data
compression algorithm.

Libpng should be installed if you need to manipulate PNG format image
files.

The library is available as 32-bit and 64-bit.


%package devel
Summary: Development tools for programs to manipulate PNG image format files
Group: Development/Libraries
Requires: libpng = %{version}-%{release} zlib-devel pkg-config

%description devel
The libpng-devel package contains header files and documentation necessary
for developing programs using the PNG (Portable Network Graphics) library.

If you want to develop programs which will manipulate PNG image format
files, you should install libpng-devel.  You'll also need to install
the libpng package.

If you are compiling a 32-bit program, no special compiler options are
needed.

If you are compiling a 64-bit program, you have to compile and link your
application with "cc -q64" or "gcc -maix64".


%prep
%setup -q
%patch0


%build
./autogen.sh

# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"
export NM="nm -X32_64"

# first build the 64-bit version
export CC="cc -q64"
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_prefix}/man \
    --enable-shared --enable-static
make %{?_smp_mflags}

cp .libs/libpng.so.3 .
cp .libs/libpng12.so.0 .
make distclean

# now build the 32-bit version
export CC="cc"
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_prefix}/man \
    --enable-shared --enable-static
make %{?_smp_mflags}

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
${AR} -q .libs/libpng.a ./libpng.so.3
${AR} -q .libs/libpng12.a ./libpng12.so.0


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc *.txt example.c README TODO CHANGES LICENSE 
%{_libdir}/*.a
%{_mandir}/man5/*
/usr/lib/*.a


%files devel
%defattr(-,root,system)
%{_bindir}/*
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/pkgconfig/*
%{_mandir}/man3/*
/usr/bin/*
/usr/include/*
/usr/lib/*.la


%changelog
* Fri Jul 17 2009 Michael Perzl <michael@perzl.org> - 1.2.38-1
- updated to version 1.2.38

* Fri Jun 05 2009 Michael Perzl <michael@perzl.org> - 1.2.37-1
- updated to version 1.2.37

* Mon May 11 2009 Michael Perzl <michael@perzl.org> - 1.2.36-1
- updated to version 1.2.36

* Thu Feb 19 2009 Michael Perzl <michael@perzl.org> - 1.2.35-1
- updated to version 1.2.35

* Tue Dec 23 2008 Michael Perzl <michael@perzl.org> - 1.2.34-1
- updated to version 1.2.34

* Sat Nov 01 2008 Michael Perzl <michael@perzl.org> - 1.2.33-1
- updated to version 1.2.33

* Mon Sep 22 2008 Michael Perzl <michael@perzl.org> - 1.2.32-1
- updated to version 1.2.32

* Sat Aug 16 2008 Michael Perzl <michael@perzl.org> - 1.2.30-1
- updated to version 1.2.30

* Fri May 09 2008 Michael Perzl <michael@perzl.org> - 1.2.29-1
- updated to version 1.2.29

* Tue Apr 29 2008 Michael Perzl <michael@perzl.org> - 1.2.27-1
- updated to version 1.2.27

* Sun Mar 23 2008 Michael Perzl <michael@perzl.org> - 1.2.25-1
- first version for AIX V5.1 and higher
